| DocBook: The Definitive Guide 2.0.17 (Alpha)

# textdata

$Revision$

$Date$

textdata — Pointer to external text data

## Synopsis

### Content Model

    textdata ::=
    EMPTY

### Attributes

Common attributes

Name | Type | Default
srccredit | CDATA | None
entityref | ENTITY | None
encoding | CDATA | None
fileref | CDATA | None

format

Enumeration:
BMP
CGM-BINARY
CGM-CHAR
CGM-CLEAR
DITROFF
DVI
EPS
EQN
FAX
GIF
GIF87a
GIF89a
IGES
JPEG
JPG
linespecific
PCX
PDF
PIC
PNG
PS
SGML
SVG
SWF
TBL
TEX
TIFF
WMF
WPG

None

## Description

This element points to an external entity containing text to be inserted.

### Note

Any markup in the text identified with `textdata` will be escaped. In other words, this element is for inserting things like program listings, not parts of an XML document. To break a document into separate physical files, use entities.

### Processing expectations

May be formatted inline or as a displayed block, depending on context. Insert the text.

There are two ways to provide content for `textdata`: `entityref` or `fileref`. It is best to use only one of these methods, however, if multiple sources are provided, `entityref` will be used in favor of `fileref`.

### Parents

These elements contain textdata: `textobject`.

## Attributes

encoding

  Identifies the encoding of the text in the external file. Recommended best practice suggests that character encodings registered (as charsets) with the Internet Assigned Numbers Authority be referred to using their registered names.

entityref

  `EntityRef` identifies the general entity which contains (or points to) the external text.

fileref

  `FileRef` specifies the name of the file which contains the external text.

format

  `Format` identifies the format of the external text. The `Format` must be a defined notation.

srccredit

  `SrcCredit` contains details about the source of the external text.

tertiaryie |  | textobject

Copyright © 1999, 2000, 2001, 2002, 2003 O'Reilly & Associates, Inc. All rights reserved.